Download it now!
Bug 94448 - UI: Draw’s context menu lacks Text option
Summary: UI: Draw’s context menu lacks Text option
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
5.0.1.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectNotNeeded, needsUXEval, regression
: 96478 114317 (view as bug list)
Depends on:
Blocks: Context-Menu
  Show dependency treegraph
 
Reported: 2015-09-22 18:05 UTC by Andreas B.
Modified: 2018-09-08 18:33 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot1: Shape (28.02 KB, image/png)
2015-10-06 18:09 UTC, Andreas B.
Details
Screenshot1: Shape (28.02 KB, image/png)
2015-10-06 18:11 UTC, Andreas B.
Details
Screenshot2: Textfield (36.81 KB, image/png)
2015-10-06 18:11 UTC, Andreas B.
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas B. 2015-09-22 18:05:18 UTC
I know, the context menu was simplified, because the options are now available in the sidebar.

No Problem in general, but in Draw I'm missing the "Text" option (on shapes), it's not available in the Sidebar, its only available in the "Format" menu.

I cannot simple adjust the text anchor any more.
Comment 1 Yousuf Philips (jay) (retired) 2015-10-06 07:55:19 UTC
Hello Andreas,

The text related items (Text, Character, Paragraph) were removed from the shapes context menu as they are available in a shape's text edit mode context menu (the mode where you can type text into the shape).

http://www.picpaste.com/tdf94448-iq0ZqxFp.png

As a shape doesnt always have text in it, having the 'Text...' option in the shape context menu isnt optimal, but it would be available in the textbox context menu, as that does always have text. If ux-advise disagrees with this, i'll return it to the context menu.
Comment 2 V Stuart Foote 2015-10-06 13:23:12 UTC
@Jay, Andreas

I think Jay got it right--no need to change.

The Text Box's context menu is fully populated with Text | Character | Paragraph | Special character, etc. 

Having just the Text in the Shape's context menu presents two UI annoyances--1) lack other controls needed to fully format content of the Text Box, 2) the Text entry on the context menu has no target witihn the Shape--you'd still have to select, or create, a Text to work on anyway.

IMHO it would be best the way it has evolved--no Text present on Shape context menu, and fully manipulated from the Text Box context menu when specific Text Box is selected.
Comment 3 Andreas B. 2015-10-06 18:09:48 UTC
Created attachment 119363 [details]
Screenshot1: Shape
Comment 4 Andreas B. 2015-10-06 18:10:40 UTC
Hi Yousuf

As developer I would say in technical view you're right.

BUT: As user I would say it's not clear, see screenshot attached.
Comment 5 Andreas B. 2015-10-06 18:11:11 UTC
Created attachment 119364 [details]
Screenshot1: Shape
Comment 6 Andreas B. 2015-10-06 18:11:41 UTC
Created attachment 119365 [details]
Screenshot2: Textfield
Comment 7 Andreas B. 2015-10-06 18:15:43 UTC
Sorry, I thought I can attach the Attachments to the comment.

A standard user will be confused by this difference, because it's not visible.


You may display the Text menu also on a shape, if the shape contains text?
No Text - No text formatting.

Text formatting always if you have text on the Shape?
Comment 8 Yousuf Philips (jay) (retired) 2015-10-07 14:10:15 UTC
Hi Andreas,

My changes to the context menu come from the perspective of UX, which is for users and not developers. If a regular user wanted to place text in a box, he wouldnt insert a shape and type text in it (many regular users dont even know that you can add text inside a shape), they would insert a textbox and type text into it. But even if a user placed text in a shape he would have to go into shape text-edit mode to type the text, so while in that mode, he can get to 'Text...'

(In reply to Andreas B. from comment #7)
> You may display the Text menu also on a shape, if the shape contains text?
> No Text - No text formatting.
> 
> Text formatting always if you have text on the Shape?

In order to achieve this, a new uno command would need to be created that will be disable/hidden when a shape doesnt have text in it.
Comment 9 Andreas B. 2015-10-07 15:20:06 UTC
Ok, I found out what you mean.

But you have to click exactly on the Text, and it's only working if you have no Spelling errors in the Text.

As you may saw, I had spelling errors in both boxes, so I got only the Spelling Check menu on the text, and couldn't get the text-edit menu.

In my opinion I would like to have the text menu on the shape if there is a text inside.

Maybe this is a topic for the User Interface Team?
Comment 10 V Stuart Foote 2015-10-07 15:32:10 UTC
Over to ux-advise -- but my position is unchanged, removal of Text item from the Shape Object's context menu is correct.

I would agree that it would be an issue if a detected misspelled word in a Shape object's Text Box object prevented access to the Text Box objects context menu. 

But I do not have that issue on Windows 10 Pro with
Version: 5.0.2.2 (x64)
Build ID: 37b43f919e4de5eeaca9b9755ed688758a8251fe
Locale: en-US (en_US)

When misspelled word is indicated, the Text Box object can still be selected and its context menu displays all menu items. Of course the misspelled word has cursor focus, so a click on the Text Box object's frame is needed. Otherwise not an issue.
Comment 11 Regina Henschel 2015-10-07 15:53:51 UTC
In case of spelling errors you can still get the 'normal' context menu by using the "context"-key (left from the right Ctrl-key) or be the shortcut Shift+F10. And key F2 brings a shape, which has focus, into edit mode without need to click.
Comment 12 Katarina Behrens (Inactive) 2015-12-16 22:07:18 UTC
*** Bug 96478 has been marked as a duplicate of this bug. ***
Comment 13 Cor Nouws 2015-12-18 19:04:20 UTC
For me it's not logic that the context menu of a shape does offer text, and that of a text box not. Or the other way round.. Anyway: I edit text options usually via the context menu. In a text box it's not more or less important than in a shape. So +1 for having it in the context menu for both.
Comment 14 Robinson Tryon (qubit) 2016-08-25 05:39:26 UTC Comment hidden (obsolete)
Comment 15 Xisco Faulí 2016-09-12 12:33:29 UTC
Adding keyword 'bibisectRequest'.
Comment 16 Yousuf Philips (jay) (retired) 2017-05-10 15:36:21 UTC
I believe that with the creation of the all-in-one properties dialog for objects (bug 96355), this issue will be solved.

(In reply to Andreas B. from comment #9)
> But you have to click exactly on the Text, and it's only working if you have
> no Spelling errors in the Text.

You can right-click anywhere within the available text and if all have spelling errors, you can still right-click next to a space (you have to do the same if you dont want the spelling context menu in the main document).

> In my opinion I would like to have the text menu on the shape if there is a
> text inside.

Filed a enhancement bug for the creation of the UNO command (bug 107753).

> Maybe this is a topic for the User Interface Team?

All of the people who have replied here are part of the UI team. :D
Comment 17 Maxim Monastirsky 2017-12-08 09:56:55 UTC
*** Bug 114317 has been marked as a duplicate of this bug. ***
Comment 18 andreas_k 2018-09-08 18:33:28 UTC
From my point of view it look like this bug can be closed.